/*
www.E2CRE8.be - Brainbox Arduino  - by Bart Huyskens
30/03/2016

This program demonstrates how a Potmeter is used to control the speed of a DC motor
The potmeter is connected to A0
The DC motor is connected between pin D5 (Power output) and GND

! be aware that the current of the DC motor may not exceed 500mA
! be aware to use jumper 2 to select the correct operating voltage for your DC motor

You can also use the Serial monitor of ARduino IDE to monitor the 2 variables

 */

// These constants won't change.  They're used to give names
// to the pins used:
const int analogInPin = A0;   // Analog input pin that the potentiometer is attached to
const int analogOutPin = 5;  // Analog output pin that DC motor is connected to


int sensorValue = 0;        // value read from the analog input - set to 0 to start
int outputValue = 0;        // value output to the PWM (analog out)- set to 0 to start

void setup() {
  // initialize serial communications at 9600 bps:
  Serial.begin(9600);
}

void loop() {
          // read the analog in value:
  sensorValue = analogRead(analogInPin);
         
          // map it to the range of the analog out:
          // sensorvalue is a value between 0 and 1024 (10 bit AD)
          // PWM or ANalogWrite can only work with values bewteen 0 and 255 (8bit)
  outputValue = map(sensorValue, 0, 1023, 0, 255);
          
          // change the analog out value:
          // generates a PWM signal on a pin with a duty cycle between 0-255 (0-100%)
  analogWrite(analogOutPin, outputValue);

          // print the results to the serial monitor:
          // Open the serial monitor of the arduino IDE to see the result
  Serial.print("sensor = " );
  Serial.print(sensorValue);
  Serial.print("\t output = ");
  Serial.println(outputValue);

          // wait 2 milliseconds before the next loop
          // for the analog-to-digital converter to settle
          // after the last reading:
  delay(2);
}
